using System;
using System.Text;

internal sealed class Delegate618 : MulticastDelegate
{
	public extern Encoding Invoke();

	public static Encoding smethod_0(Delegate618 delegate618_1)
	{
		return delegate618_1();
	}

	public extern Delegate618(object object_0, IntPtr intptr_0);

	static Delegate618()
	{
		Class10.smethod_13(typeof(Delegate618).TypeHandle);
	}

	internal static Delegate618 delegate618_0;
}
